Bug 20434 - append(ArrayBuffer) should allow asynchronous processing
Summary: append(ArrayBuffer) should allow asynchronous processing
Status: RESOLVED FIXED
Alias: None
Product: HTML WG
Classification: Unclassified
Component: Media Source Extensions (show other bugs)
Version: unspecified
Hardware: All All
: P2 critical
Target Milestone: FPWD
Assignee: Aaron Colwell (c)
QA Contact: HTML WG Bugzilla archive list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 18962
  Show dependency treegraph
 
Reported: 2012-12-18 15:32 UTC by Adrian Bateman [MSFT]
Modified: 2013-01-20 16:19 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Bateman [MSFT] 2012-12-18 15:32:39 UTC
The work to process data from an append() might be lengthy given the segment parser algorithm and implementations might need to use I/O for buffering.

The append() algorithm should be modified to allow this work to be done asynchronously. This would make append(Stream) follow the same model. Only one pending append() should be allowed. appendcomplete or appenderror events should be fired when complete.
Comment 1 Aaron Colwell (c) 2013-01-02 16:47:57 UTC
I'll start updating the spec to make append() async.
Comment 2 Aaron Colwell (c) 2013-01-04 19:19:06 UTC
Changes committed
http://dvcs.w3.org/hg/html-media/rev/52a85235137b
Comment 3 Cyril Concolato 2013-01-20 16:19:53 UTC
It seems to me to add a lot of overhead for simple cases: adding a listener and processing events at each append. Maybe adding a appendSync method should be kept too or adding the possibility to queue appends should be considered.